API referenceModels
List models
GET
bearerAuthheader
AuthorizationBearer <token>API key, e.g. rf_live_3f9k2q_….
type?stringValue in
"image""video"mode?stringValue in
"text_to_image""image_edit""text_to_video""image_to_video""reference_to_video""video_edit""video_extend"Models available to the caller.
application/json- response
object*unknowndata*array<>curl -X GET 'https://api.rawframe.dev/v1/models'Example Response
{ "object": "list", "data": [ { "object": "model", "id": "bytedance/seedance-2.5", "name": "string", "provider": "byteplus", "type": "image", "modes": [ "text_to_image" ], "capabilities": { "durations_seconds": [ 0 ], "resolutions": [ "720p" ], "aspect_ratios": [ "16:9" ], "max_outputs": 0, "audio": true, "seed": true, "negative_prompt": true, "max_prompt_chars": 0, "references": { "first_frame": 1, "last_frame": 1, "reference_image": 4 } }, "provider_options_schema": {}, "pricing": [ { "unit": "per_second", "when": {}, "amount_micros": 0, "min_charge_micros": 0 } ], "cancel_policy": "free", "lifecycle": "preview", "retires_at": "2019-08-24T14:15:22Z", "availability": "operational" } ]}